- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# TAO_POA_Static_Resources Class Reference

The static (global) resoures of all POA's. More...

`#include <Root_POA.h>`

Collaboration diagram for TAO_POA_Static_Resources:

[legend]
List of all members.

## Static Public Member Functions
static TAO_POA_Static_Resources * | instance (void)
| Return the singleton instance.
## Public Attributes
ACE_CString | ort_adapter_factory_name_
ACE_CString | imr_client_adapter_name_
## Private Member Functions
| TAO_POA_Static_Resources (void)
| Constructor.
## Static Private Attributes
static TAO_POA_Static_Resources * | instance_ = 0
| The singleton instance.
static TAO_POA_Static_Resources * | initialization_reference_

## Detailed Description

The static (global) resoures of all POA's.

This class is used by the POA to store the resources global to all POA's. All instance variables that would have been declared "static" in TAO_Regular_POA, should be declared in this class to avoid the "static initialization order fiasco" as described in http://www.parashift.com/c++-faq-lite/ctors.html#faq-10.11. Briefly, this is the problem that occurs if any static initializers in any other code call into set static members of TAO_Regular_POA. Since the order in which these initializers execute is unspecified, uninitialized members can be accessed.

## Constructor & Destructor Documentation

TAO_POA_Static_Resources::TAO_POA_Static_Resources | ( | void |  | ) | `[private]`

Constructor.

## Member Function Documentation

TAO_POA_Static_Resources * TAO_POA_Static_Resources::instance | ( | void |  | ) | `[static]`

Return the singleton instance.

## Member Data Documentation

ACE_CString TAO_POA_Static_Resources::imr_client_adapter_name_

Name of the service object for functions that make calls on the Implementation Repository. The default value is "ImR_Client_Adapter". If TAO_IMR_CLient is linked, imr_client_adapter_name() will be called to set the value to "Concrete_ImR_Client_Adapter".

TAO_POA_Static_Resources * TAO_POA_Static_Resources::initialization_reference_`[static, private]`

Initial value:

      TAO_POA_Static_Resources::instance ()

Mostly unused variable whose sole purpose is to enforce the instantiation of a TAO_POA_Static_Resources instance at initialization time.

TAO_POA_Static_Resources * TAO_POA_Static_Resources::instance_ = 0`[static, private]`

The singleton instance.

ACE_CString TAO_POA_Static_Resources::ort_adapter_factory_name_

Name of the factory object used to adapt function calls on the PortableInterceptor interfaces ORT. The default value is "ObjectReferenceTemplate_Adapter_Factory". If the ORT library is linked, the corresponding accessor function objectreferencefactory_adapter_factory_name() will be called to set the value to "Concrete_ObjectReferenceTemplate_Adapter_Factory".

The documentation for this class was generated from the following files:

- Root_POA.h
- Root_POA.cpp